<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraDiretor.title']}" />
	</ui:define>
	
	<ui:define name="principal">
	<p:link outcome="cadastraEquipe.xhtml" value="#{msg['pages.cadastraDiretor.back']}"/>
	<h1><p:outputLabel value="#{msg['pages.cadastraDiretor.title']}"/></h1>
	
	<h:form id="formDir">
	  <p:panelGrid columns="2">
		<p:outputLabel value="#{msg['pages.cadastraDiretor.equipe']}:"/>
		<p:outputLabel value="#{equipeManagedBean.equipeSelecionada.nome}"/>
		
		<p:outputLabel for="dir" value="#{msg['pages.cadastraDiretor.diretor']}:"/>
		<p:selectOneMenu id="dir" required="true" 
		value="#{equipeManagedBean.diretor}"
		lazy="true"
		converter="usuarioConverter">
			<f:selectItem itemLabel="#{msg['pages.comuns.selecionar']}" itemValue=""/>
			<f:selectItems Label="#{usuarioManagedBeans.diretores}"
						   value="#{usuarioManagedBeans.diretores}"
						   var="dir"
						   itemLabel="#{dir.nome}"
						   itemValue="#{dir}"/>
        </p:selectOneMenu>
		
		<p:commandButton value="#{msg['pages.cadastraDiretor.salvar']}"
						 action="#{equipeManagedBean.salvarDiretor}"
						 update=":formDir"/>
		<p:commandButton value="Teste"
						 action="#{equipeManagedBean.mostra}"
						 update="formDir"/>
	  </p:panelGrid>
	</h:form>
   </ui:define>
</ui:composition>